//---------------------------------------------------------------------------

#ifndef CDSAtmpFH
#define CDSAtmpFH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <stdio.h>
#include <ADODB.hpp>
#include <DB.hpp>
//---------------------------------------------------------------------------
#include "ITSLibF.h"
//---------------------------------------------------------------------------

/*
*  class
*/
class TCDSAtmp
{
public:
    TCDSAtmp()  {};
    ~TCDSAtmp() {};

public:
    String ATMP_STTN_NMBR;
    String ATMP_STTN_NM;
    String VMS_DISP_NM;
    String ATMP_STTN_ADDR;
    String DEL_YN;

    bool   SUCCESS;

    String MSRM_DT;         //	N	VARCHAR2(14)	Y			측정 일시
    String MSRM_SYST_NM;    //	N	VARCHAR2(10)	Y			측정 시스템 명
    String SO2_VAL;         //	N	VARCHAR2(10)	Y			SO2 값
    String CO_VAL;          //	N	VARCHAR2(10)	Y			CO 값
    String NO2_VAL;         //	N	VARCHAR2(10)	Y			NO2 값
    String O3_VAL;          //	N	VARCHAR2(10)	Y			O3 값
    String PM10_VAL;        //	N	VARCHAR2(10)	Y			PM10 값
    String PM10_24HH_VAL;   //	N	VARCHAR2(10)	Y			PM10 24시간 값
    String PM25_VAL;        //	N	VARCHAR2(10)	Y			PM25 값
    String PM25_24HH_VAL;   //	N	VARCHAR2(10)	Y			PM25 24시간 값
    String INTG_ATMP_VAL;   //	N	VARCHAR2(10)	Y			통합 대기 값
    String INTG_ATMP_GRAD;  //	N	VARCHAR2(10)	Y			통합 대기 등급
    String SO2_GRAD;        //	N	VARCHAR2(10)	Y			SO2 등급
    String CO_GRAD;         //	N	VARCHAR2(10)	Y			CO 등급
    String O3_GRAD;         //	N	VARCHAR2(10)	Y			O3 드급
    String NO2_GRAD;        //	N	VARCHAR2(10)	Y			NO2 등급
    String PM10_24HH_GRAD;  //	N	VARCHAR2(10)	Y			PM10 24시간 등급
    String PM25_24HH_GRAD;  //	N	VARCHAR2(10)	Y			PM25 24시간 등급
    String PM10_1HH_GRAD;   //	N	VARCHAR2(10)	Y			PM10 1시간 등급
    String PM25_1HH_GRAD;   //	N	VARCHAR2(10)	Y			PM25 1시간 등급

public:
    void Init();

};
//---------------------------------------------------------------------------

/*
* Manager
*/
class TCDSAtmpManager
{
public:
    TCDSAtmpManager();
    virtual ~TCDSAtmpManager();

public:
    TItsMap<String, TCDSAtmp*>  FLists;

public:
    void Init();

    bool LoadFromDb(TADOConnection *ADbConn=NULL);
};
//---------------------------------------------------------------------------
extern TCDSAtmpManager *CDSAtmpManager;
//---------------------------------------------------------------------------

#endif
